/****************************************************************************
**
** Copyright (C) 2021 The Qt Company Ltd.
** Contact: https://www.qt.io/licensing/
**
** This file is part of Qt for Python.
**
** $QT_BEGIN_LICENSE:COMM$
**
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see https://www.qt.io/terms-conditions. For further
** information use the contact form at https://www.qt.io/contact-us.
**
** $QT_END_LICENSE$
**
****************************************************************************/

#ifndef QOPENGLVERSIONFUNCTIONSFACTORY_H
#define QOPENGLVERSIONFUNCTIONSFACTORY_H

#include <QtGui/QOpenGLContext>

QT_BEGIN_NAMESPACE

class QOpenGLVersionProfile;

class QOpenGLVersionFunctionsFactory
{
public:
    static QAbstractOpenGLFunctions *get(const QOpenGLVersionProfile &versionProfile,
                                         QOpenGLContext *context)
    {
        return context
            ? context->versionFunctions(versionProfile)
            : nullptr;
    }
};

QT_END_NAMESPACE

#endif // QOPENGLVERSIONFUNCTIONSFACTORY_H
